Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732410 - x11-misc/slock fails to link with LLD because of /usr/lib in the link command line
Summary: x11-misc/slock fails to link with LLD because of /usr/lib in the link command...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-13 08:11 UTC by Agostino Sarubbo
Modified: 2021-06-30 18:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.20 KB, text/plain)
2020-07-13 08:11 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-13 08:11:52 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: x11-misc/slock fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-13 08:11:58 UTC
Created attachment 649056 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-06-30 18:40:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91b3ab96eb47e991642dd43493c89d79e8df6b93

commit 91b3ab96eb47e991642dd43493c89d79e8df6b93
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-06-30 18:38:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-06-30 18:38:11 +0000

    x11-misc/slock: fix library include/search paths, missing libcrypt dependency
    
    Closes: https://bugs.gentoo.org/732410
    Signed-off-by: Sam James <sam@gentoo.org>

 x11-misc/slock/files/slock-1.4-fix-link-paths.patch    | 18 ++++++++++++++++++
 .../slock/{slock-1.4.ebuild => slock-1.4-r1.ebuild}    | 14 +++++++++++---
 2 files changed, 29 insertions(+), 3 deletions(-)